Bug 2087156 - options timeout, attempts in resolv.conf
Summary: options timeout, attempts in resolv.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1984876
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-17 13:38 UTC by Petr Menšík
Modified: 2022-06-05 01:27 UTC (History)
9 users (show)

Fixed In Version: bind-9.16.29-1.fc36 bind-9.16.29-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1984876
Environment:
Last Closed: 2022-06-01 01:24:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Menšík 2022-05-17 13:38:34 UTC
+++ This bug was initially created as a clone of Bug #1984876 +++

Description of problem:
TRY in resolv.conf options:

options timeout:1
options attempts:1

OR 

options attempts:1  timeout:1


Version-Release number of selected component (if applicable):
bind-9.16.15-3.el9.x86_64

How reproducible:

always

Steps to Reproduce:
/etc/resolv.conf has an options, like:
options timeout:1
options attempts:1


RHEL8
# cat /etc/resolv.conf 
; Created by cloud-init on instance boot automatically, do not edit.
;
# Generated by NetworkManager
options timeout:1
options attempts:1
nameserver 1.2.3.4

# time dig localhost

; <<>> DiG 9.11.26-RedHat-9.11.26-4.el8_4 <<>> localhost
;; global options: +cmd
;; connection timed out; no servers could be reached

real	0m2.011s
user	0m0.006s
sys	0m0.004s

#### WITH options timeout:15 it takes 30s
=> options do something ....

RHEL9:

# time host localhost
;; connection timed out; no servers could be reached


real	0m10.009s
user	0m0.007s
sys	0m0.004s

=====> options timeout:1 or options timeout:30 DO NO CHANGE


Actual results:
options exists

Expected results:

works as expected

Additional info:

--- Additional comment from Petr Sklenar on 2021-07-22 13:41:43 CEST ---


ANOTHER ISSUE in resolv.conf (lazy to fill another bz)

write 'typos in ns'


 cat  /etc/resolv.conf
; Created by cloud-init on instance boot automatically, do not edit.
;
# Generated by NetworkManager
nameserver 1.2.3.4,1
nameserver 8.8.8.8
-----

RHEL8: line is ignored, so next one works!
rhel9: it ends:

# cat /etc/resolv.conf
; Created by cloud-init on instance boot automatically, do not edit.
;
# Generated by NetworkManager
nameserver 1.2.3.4,1
nameserver 8.8.8.8

# dig localhost
dig: parse of /etc/resolv.conf failed

--- Additional comment from Petr Menšík on 2021-08-04 14:46:05 CEST ---

I would not consider comment #1 as an issue. I think reporting obviously wrong resolv.conf with invalid entries should not be silently ignored, but reported to user.

If an address is in invalid format, just report it. Different issue would be for example with IPv6 link-local address, which at least for some time delv were unable to parse. Not sure it is still the case. But for invalid addresses, I think fatal error is okay.

--- Additional comment from Petr Menšík on 2021-08-04 14:58:49 CEST ---

Some changes are related to removed lwres library, which originally parsed /etc/resolv.conf. It were moved to irs library, which parses some parts different way.

Comment 1 Fedora Update System 2022-05-27 20:19:10 UTC
FEDORA-2022-d1c57e7e41 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d1c57e7e41

Comment 2 Fedora Update System 2022-05-27 22:16:07 UTC
FEDORA-2022-48eb6235a4 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-48eb6235a4

Comment 3 Fedora Update System 2022-05-28 02:06:47 UTC
FEDORA-2022-d1c57e7e41 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-d1c57e7e41`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d1c57e7e41

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-05-28 02:23:38 UTC
FEDORA-2022-48eb6235a4 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-48eb6235a4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-48eb6235a4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-06-01 01:24:24 UTC
FEDORA-2022-d1c57e7e41 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-06-05 01:27:22 UTC
FEDORA-2022-48eb6235a4 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.